Bug 1003569 - SFML included non-free fonts.
SFML included non-free fonts.
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: SFML (Show other bugs)
19
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Julian Sikorski
Fedora Extras Quality Assurance
Hans de Goede
:
Depends On:
Blocks: FE-Legal 997679
  Show dependency treegraph
 
Reported: 2013-09-02 07:48 EDT by mejiko
Modified: 2013-11-23 22:57 EST (History)
5 users (show)

See Also:
Fixed In Version: compat-SFML16-1.6-4.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-11-23 22:57:28 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description mejiko 2013-09-02 07:48:21 EDT
Hello.


SFML included "sansation" font.

License URI:

https://law.resource.org/pub/uk/life/fonts/Bernd%20Montag%20License.txt

This license is not allowed modify, sell, and restrictive requirement.
Its non-free.


Suggests:

1. Remove non-free fonts and rebuild.

2. Replace Fedora free (Fedora acceptable licensed) files.

3. Remove Fedora repos.


Thanks.

Reference:

http://www.dafont.com/sansation.font
https://fedoraproject.org/wiki/Licensing:Main?rd=Licensing#Font_Licenses
Comment 1 mejiko 2013-09-02 07:49:04 EDT
Blocking FE-Legal, This is license problem.
Comment 2 Michael Schwendt 2013-09-02 08:25:57 EDT
Very interesting:

> -Do not pass the font files without this textfile!

The included font is v1.2 (2008), which was published with the same restrictions file, which is missing in SFML.

[...]

$ cd SFML-2.0
$ grep -i Sansation * -R
Binary file examples/pong/resources/sansation.ttf matches
examples/pong/Pong.cpp:    if (!font.loadFromFile("resources/sansation.ttf"))
examples/shader/Shader.cpp:    if (!font.loadFromFile("resources/sansation.ttf"))
Binary file examples/shader/resources/sansation.ttf matches
examples/opengl/OpenGL.cpp:    if (!font.loadFromFile("resources/sansation.ttf"))
Binary file examples/opengl/resources/sansation.ttf matches
examples/cocoa/CMakeLists.txt:              ${SRCROOT}/resources/sansation.ttf
examples/cocoa/CocoaAppDelegate.mm:        if (!font.loadFromFile(resPath + "/sansation.ttf")) {
Binary file examples/cocoa/resources/sansation.ttf matches
Binary file tools/xcode/templates/SFML/SFML CLT.xctemplate/sansation.ttf matches
tools/xcode/templates/SFML/SFML CLT.xctemplate/main.cpp:    if (!font.loadFromFile("sansation.ttf")) {
tools/xcode/templates/SFML/SFML CLT.xctemplate/TemplateInfo.plist:            <string>sansation.ttf</string>
tools/xcode/templates/SFML/SFML CLT.xctemplate/TemplateInfo.plist:            <key>sansation.ttf</key>
tools/xcode/templates/SFML/SFML CLT.xctemplate/TemplateInfo.plist:                <string>sansation.ttf</string>
Binary file tools/xcode/templates/SFML/SFML App.xctemplate/sansation.ttf matches
tools/xcode/templates/SFML/SFML App.xctemplate/main.cpp:    if (!font.loadFromFile(resourcePath() + "sansation.ttf")) {
tools/xcode/templates/SFML/SFML App.xctemplate/TemplateInfo.plist:            <string>sansation.ttf</string>
tools/xcode/templates/SFML/SFML App.xctemplate/TemplateInfo.plist:            <key>sansation.ttf</key>
tools/xcode/templates/SFML/SFML App.xctemplate/TemplateInfo.plist:                <string>sansation.ttf</string>
Comment 3 mejiko 2013-10-15 01:01:14 EDT
I best suggests that replace non-free font to free font. (but not tested)

E.g GNU Freefont, libration font, etc...

If removing this font, There code is not work. (I think)


Thanks.


Reference:

https://fedorahosted.org/liberation-fonts/
https://www.gnu.org/software/freefont/
Comment 4 Hans de Goede 2013-11-18 14:51:48 EST
SFML-2.0-6 is on its way to the repositories, this version includes a cleaned up source tarbal with the offending font files removed.
Comment 5 Fedora Update System 2013-11-19 02:22:14 EST
compat-SFML16-1.6-4.fc20, SFML-2.0-6.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/FEDORA-2013-21621/SFML-2.0-6.fc20,compat-SFML16-1.6-4.fc20
Comment 6 Fedora Update System 2013-11-19 16:53:34 EST
Package compat-SFML16-1.6-4.fc20, SFML-2.0-6.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing compat-SFML16-1.6-4.fc20 SFML-2.0-6.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2013-21621/SFML-2.0-6.fc20,compat-SFML16-1.6-4.fc20
then log in and leave karma (feedback).
Comment 7 Fedora Update System 2013-11-23 22:57:28 EST
compat-SFML16-1.6-4.fc20, SFML-2.0-6.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.